> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf-media/round-details-and-match-details-scenarios/undos.md).

# Undos

NO LONGER USED

This packet will be sent to indicate that the previous packet has been undone. Multiple undo packets indicate that multiple things have been undone. Undos are always sent in sequence.

(20/12/2018 – this may be subject to slight change but this is the working model we have at the moment)

**Undo Object**

| Field Name       | Type   | Description                          |
| ---------------- | ------ | ------------------------------------ |
| seqNum           | int    | The sequence number of the packet    |
| timestamp        | date   | The timestamp of the event, in UTC   |
| eventElementType | string | The type of event, in this case Undo |

**score Object**

This contains information on the player’s score at this time. If the undo changes the player’s score, this will be reflected in this packet, if not the score will not change but will still be included in the packet.

| Field Name         | Type   | Description                                                  |
| ------------------ | ------ | ------------------------------------------------------------ |
| currentHoleStrokes | int    | the number of strokes the player has had on the current hole |
| currentHolePar     | int    | the par of the current hole                                  |
| currentRoundToPar  | string | The “to par” score of the player’s current round             |
| overallToPar       | string | The “to par” score of the player overall                     |

\
**Sample Event Packet**

```
{
	"score": {
		"currentHoleStrokes": 6,
		"currentHolePar": 4,
		"currentRoundToPar": "+1",
		"overallToPar": "-2"
	},
	"eventElementType": "Undo",
	"timestamp": "2018-07-31T10:42:02.078Z",
	"seqNum": 198
}
```

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/golf-media/round-details-and-match-details-scenarios/undos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
